Upstream information

CVE-2021-45452 at MITRE

Description

Storage.save in Django 2.2 before 2.2.26, 3.2 before 3.2.11, and 4.0 before 4.0.1 allows directory traversal if crafted filenames are directly passed to it.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low None
Integrity Impact None Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1194116 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • python-Django >= 1.11.29-3.39.1
  • venv-openstack-aodh-x86_64 >= 5.1.1~dev7-12.37.1
  • venv-openstack-barbican-x86_64 >= 5.0.2~dev3-12.38.1
  • venv-openstack-ceilometer-x86_64 >= 9.0.8~dev7-12.35.1
  • venv-openstack-cinder-x86_64 >= 11.2.3~dev29-14.39.1
  • venv-openstack-designate-x86_64 >= 5.0.3~dev7-12.36.1
  • venv-openstack-freezer-x86_64 >= 5.0.0.0~xrc2~dev2-10.33.1
  • venv-openstack-glance-x86_64 >= 15.0.3~dev3-12.36.1
  • venv-openstack-heat-x86_64 >= 9.0.8~dev22-12.40.1
  • venv-openstack-horizon-hpe-x86_64 >= 12.0.5~dev6-14.43.2
  • venv-openstack-ironic-x86_64 >= 9.1.8~dev8-12.38.1
  • venv-openstack-keystone-x86_64 >= 12.0.4~dev11-11.40.1
  • venv-openstack-magnum-x86_64 >= 5.0.2_5.0.2_5.0.2~dev31-11.37.1
  • venv-openstack-manila-x86_64 >= 5.1.1~dev5-12.42.1
  • venv-openstack-monasca-ceilometer-x86_64 >= 1.5.1_1.5.1_1.5.1~dev3-8.33.1
  • venv-openstack-monasca-x86_64 >= 2.2.2~dev1-11.40.1
  • venv-openstack-murano-x86_64 >= 4.0.2~dev2-12.33.1
  • venv-openstack-neutron-x86_64 >= 11.0.9~dev69-13.43.1
  • venv-openstack-nova-x86_64 >= 16.1.9~dev92-11.41.1
  • venv-openstack-octavia-x86_64 >= 1.0.6~dev3-12.38.1
  • venv-openstack-sahara-x86_64 >= 7.0.5~dev4-11.37.1
  • venv-openstack-swift-x86_64 >= 2.15.2_2.15.2_2.15.2~dev32-11.28.1
  • venv-openstack-trove-x86_64 >= 8.0.2~dev2-11.37.1
Patchnames:
HPE-Helion-OpenStack-8-2022-102
HPE-Helion-OpenStack-8-2022-286
SUSE OpenStack Cloud 8
  • python-Django >= 1.11.29-3.39.1
  • venv-openstack-aodh-x86_64 >= 5.1.1~dev7-12.37.1
  • venv-openstack-barbican-x86_64 >= 5.0.2~dev3-12.38.1
  • venv-openstack-ceilometer-x86_64 >= 9.0.8~dev7-12.35.1
  • venv-openstack-cinder-x86_64 >= 11.2.3~dev29-14.39.1
  • venv-openstack-designate-x86_64 >= 5.0.3~dev7-12.36.1
  • venv-openstack-freezer-x86_64 >= 5.0.0.0~xrc2~dev2-10.33.1
  • venv-openstack-glance-x86_64 >= 15.0.3~dev3-12.36.1
  • venv-openstack-heat-x86_64 >= 9.0.8~dev22-12.40.1
  • venv-openstack-horizon-x86_64 >= 12.0.5~dev6-14.43.2
  • venv-openstack-ironic-x86_64 >= 9.1.8~dev8-12.38.1
  • venv-openstack-keystone-x86_64 >= 12.0.4~dev11-11.40.1
  • venv-openstack-magnum-x86_64 >= 5.0.2_5.0.2_5.0.2~dev31-11.37.1
  • venv-openstack-manila-x86_64 >= 5.1.1~dev5-12.42.1
  • venv-openstack-monasca-ceilometer-x86_64 >= 1.5.1_1.5.1_1.5.1~dev3-8.33.1
  • venv-openstack-monasca-x86_64 >= 2.2.2~dev1-11.40.1
  • venv-openstack-murano-x86_64 >= 4.0.2~dev2-12.33.1
  • venv-openstack-neutron-x86_64 >= 11.0.9~dev69-13.43.1
  • venv-openstack-nova-x86_64 >= 16.1.9~dev92-11.41.1
  • venv-openstack-octavia-x86_64 >= 1.0.6~dev3-12.38.1
  • venv-openstack-sahara-x86_64 >= 7.0.5~dev4-11.37.1
  • venv-openstack-swift-x86_64 >= 2.15.2_2.15.2_2.15.2~dev32-11.28.1
  • venv-openstack-trove-x86_64 >= 8.0.2~dev2-11.37.1
Patchnames:
SUSE-OpenStack-Cloud-8-2022-102
SUSE-OpenStack-Cloud-8-2022-286
SUSE OpenStack Cloud 9
  • python-Django1 >= 1.11.29-3.30.1
Patchnames:
SUSE-OpenStack-Cloud-9-2022-103
SUSE OpenStack Cloud Crowbar 8
  • python-Django >= 1.11.29-3.39.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2022-102
SUSE-OpenStack-Cloud-Crowbar-8-2022-286
SUSE OpenStack Cloud Crowbar 9
  • python-Django1 >= 1.11.29-3.30.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2022-103
openSUSE Tumbleweed
  • python310-Django >= 4.0.1-1.1
  • python38-Django >= 4.0.1-1.1
  • python39-Django >= 4.0.1-1.1
Patchnames:
openSUSE Tumbleweed GA python310-Django-4.0.1-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 python-Django Released
SUSE OpenStack Cloud 8 python-Django Released
SUSE OpenStack Cloud 9 python-Django1 Released
SUSE OpenStack Cloud Crowbar 8 python-Django Released
SUSE OpenStack Cloud Crowbar 9 python-Django1 Released